//+------------------------------------------------------------------+
//|                                               Stoch_Alert_v1.mq4 |
//|                                  Copyright  2006, Forex-TSD.com |
//|                         Written by IgorAD,igorad2003@yahoo.co.uk |   
//|            http://finance.groups.yahoo.com/group/TrendLaboratory |                                      
//+------------------------------------------------------------------+
#property copyright "Copyright  2006, Forex-TSD.com "
#property link      "http://www.forex-tsd.com/"

#property indicator_separate_window
#include <WinUser32.mqh>

extern int K = 5;
extern int D = 3;
extern int Slowing = 3;
extern int MA_Mode = 1;
extern int SignalLevel = 50;
extern string Sound1 = "alert.wav";
extern string Sound2 = "alert2.wav";
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custor indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//---- 
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
   static datetime prevtime = 0;
   
   if(prevtime == Time[0]) {
      return(0);
   }
   prevtime = Time[0];
   
   double TrendNow =  iStochastic(NULL, 0, K, D, Slowing, MA_Mode, 0, MODE_MAIN, 0);
   double TrendPrevious = iStochastic(NULL, 0, K, D, Slowing, MA_Mode, 0, MODE_MAIN, 0);
   
//---- 
   
   if(TrendNow < SignalLevel && TrendPrevious >= SignalLevel) {
      PlaySound(Sound1);  
      Alert(Symbol(), " M", Period(), " Stoch has crossed below ", SignalLevel);
   }
   else if(TrendNow > SignalLevel && TrendPrevious <= SignalLevel) {
      PlaySound(Sound2);
      Alert(Symbol(), " M", Period(), " Stoch has crossed above ", SignalLevel);
   }
   Comment("Current Stoch: ", TrendNow); 
   
//----
   return(0);
  }
//+------------------------------------------------------------------+